org.gradle.nativeplatform.tasks

## Class ExtractSymbols

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.nativeplatform.tasks.ExtractSymbols

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class ExtractSymbols
      extends DefaultTask

  Extracts the debug symbols from a binary and stores them in a separate file.
  Since:
    4.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtractSymbols()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `extractSymbols()`
    `RegularFileProperty` | `getBinaryFile()` The file to extract debug symbols from.
    `RegularFileProperty` | `getSymbolFile()` The destination file to extract debug symbols into.
    `NativePlatform` | `getTargetPlatform()`
    `NativeToolChain` | `getToolChain()`
    `void` | `setTargetPlatform(NativePlatform targetPlatform)`
    `void` | `setToolChain(NativeToolChain toolChain)`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtractSymbols

          public ExtractSymbols()

  - ### Method Detail

    - #### getBinaryFile

          @InputFile
          public RegularFileProperty getBinaryFile()

      The file to extract debug symbols from.

    - #### getSymbolFile

          @OutputFile
          public RegularFileProperty getSymbolFile()

      The destination file to extract debug symbols into.

    - #### getToolChain

          @Internal
          public NativeToolChain getToolChain()

    - #### setToolChain

          public void setToolChain(NativeToolChain toolChain)

    - #### getTargetPlatform

          public NativePlatform getTargetPlatform()

    - #### setTargetPlatform

          public void setTargetPlatform(NativePlatform targetPlatform)

    - #### extractSymbols

          public void extractSymbols()